mesos-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From craig w <codecr...@gmail.com>
Subject Re: Unable to install subversion-devel 1.8+ on CentOS 7
Date Mon, 23 Mar 2015 12:41:15 GMT
https://issues.apache.org/jira/browse/MESOS-2115

On Mon, Mar 23, 2015 at 8:30 AM, Aaron Carey <acarey@ilm.com> wrote:

>  ah interesting.. what causes this difference?
>
> I think this probably makes sense for our setup currently..
>
>  ------------------------------
> *From:* craig w [codecraig@gmail.com]
> *Sent:* 23 March 2015 12:20
> *To:* user@mesos.apache.org
> *Subject:* Re: Unable to install subversion-devel 1.8+ on CentOS 7
>
>   I had considered running Mesos in docker containers, however with Mesos
> 0.21 if the slaves are running in a container and you have tasks running in
> containers, if the slave container were to exit/die, the tasks running in
> containers would also exit. If running mesos-slave on the host, any tasks
> that it had running will remain running even if the process dies. That's
> why I hadn't gone that route. Have you considered that?
>
> On Mon, Mar 23, 2015 at 8:15 AM, craig w <codecraig@gmail.com> wrote:
>
>> What OS is your docker image based on?
>>
>> On Mon, Mar 23, 2015 at 8:11 AM, Aaron Carey <acarey@ilm.com> wrote:
>>
>>>  Not sure if this helps, but we've been using docker to run Mesos on
>>> Centos 7 hosts.
>>>
>>>  ------------------------------
>>> *From:* craig w [codecraig@gmail.com]
>>> *Sent:* 23 March 2015 12:06
>>> *To:* user@mesos.apache.org
>>> *Subject:* Unable to install subversion-devel 1.8+ on CentOS 7
>>>
>>>     Mesos 0.21.0+ requires subversion-devel 1.8+, which can be
>>> installed by adding the Wandisco yum repo. However, it appears that
>>> subversion-devel 1.8+ requires libsasl2.so.2, which is not available on
>>> CentOS7.
>>>
>>>  I've seen one person try to create a symlink to libsasl2.so.3 and it
>>> worked [1], while another person found it did not work [2].
>>>
>>>  I created a CentOS 7 droplet on DigitalOcean, added the Wandisco repo
>>> and tried to install subversion-devel and it failed b/c of the
>>> libsasl2.so.2 missing. I tried creating a symlink (ln -s
>>> /usr/lib64/libsasl2.so.3 /usr/lib64/libsasl2.so.2), restarting the server
>>> and installing subversion-devel still failed b/c of the libsasl issue:
>>>
>>>  Error: Package: subversion-1.8.11-1.x86_64 (WandiscoSVN)
>>>>            Requires: libsasl2.so.2()(64bit)
>>>>
>>>
>>>  Anyone had any success on CentOS 7 with Mesos 0.21+?
>>>
>>>  [1] - did work: http://unix.stackexchange.com/a/178408
>>>
>>>  [2] - did not work:
>>> http://www.wandisco.com/svnforum/forum/smartsvn-community/smartsvn-help-and-support/69834-installing-subversion-command-line-client-on-centos-7
>>>
>>
>>
>>
>>  --
>>
>> https://github.com/mindscratch
>> https://www.google.com/+CraigWickesser
>> https://twitter.com/mind_scratch
>> https://twitter.com/craig_links
>>
>>
>
>
> --
>
> https://github.com/mindscratch
> https://www.google.com/+CraigWickesser
> https://twitter.com/mind_scratch
> https://twitter.com/craig_links
>
>


-- 

https://github.com/mindscratch
https://www.google.com/+CraigWickesser
https://twitter.com/mind_scratch
https://twitter.com/craig_links

Mime
View raw message